#!/usr/bin/env python
import os
import unittest
import logging
from pprint import pprint
from p2.reporter.access import AccessReport
from p2.store.client import Client

# from p2.reporter.access import p2.reporter.access

logging.getLogger(__name__)

class TestP2_reporter_access(unittest.TestCase):

    def setUp(self):
        self.p2_store_url = os.environ.get('P2_STORE_URL')

    def test_reports(self):
        ar = AccessReport()
        reports = ar.get_reports()
        pprint(reports)
        self.assertTrue(len(reports.keys()) > 0)

    def test_store_reports(self):
        ar = AccessReport()
        self.assertTrue(ar.store_reports())

        client = Client(self.p2_store_url, timeout=10)
        reports = client.select(
                table='reports',
                fetch=['title'],
                sort='creation_time',
                filter={'report_type':'access_review_report'}
            )
        self.assertEqual(len(reports),2)
        self.assertEqual(reports[1]['title'], 
                'Access Review Report on context minikube');

if __name__ == '__main__':
    unittest.main()
